{
  "type" : "record",
  "name" : "VariantStats",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "refAllele",
    "type" : [ "null", "string" ]
  }, {
    "name" : "altAllele",
    "type" : [ "null", "string" ]
  }, {
    "name" : "refAlleleCount",
    "type" : [ "null", "int" ]
  }, {
    "name" : "altAlleleCount",
    "type" : [ "null", "int" ]
  }, {
    "name" : "genotypesCount",
    "type" : {
      "type" : "map",
      "values" : "int",
      "java-key-class" : "org.opencb.biodata.models.feature.Genotype"
    }
  }, {
    "name" : "genotypesFreq",
    "type" : {
      "type" : "map",
      "values" : "float",
      "java-key-class" : "org.opencb.biodata.models.feature.Genotype"
    }
  }, {
    "name" : "missingAlleles",
    "type" : [ "null", "int" ]
  }, {
    "name" : "missingGenotypes",
    "type" : [ "null", "int" ]
  }, {
    "name" : "refAlleleFreq",
    "type" : [ "null", "float" ]
  }, {
    "name" : "altAlleleFreq",
    "type" : [ "null", "float" ]
  }, {
    "name" : "maf",
    "type" : [ "null", "float" ]
  }, {
    "name" : "mgf",
    "type" : [ "null", "float" ]
  }, {
    "name" : "mafAllele",
    "type" : [ "null", "string" ]
  }, {
    "name" : "mgfGenotype",
    "type" : [ "null", "string" ]
  }, {
    "name" : "passedFilters",
    "type" : [ "null", "boolean" ]
  }, {
    "name" : "mendelianErrors",
    "type" : [ "null", "int" ]
  }, {
    "name" : "casesPercentDominant",
    "type" : [ "null", "float" ]
  }, {
    "name" : "controlsPercentDominant",
    "type" : [ "null", "float" ]
  }, {
    "name" : "casesPercentRecessive",
    "type" : [ "null", "float" ]
  }, {
    "name" : "controlsPercentRecessive",
    "type" : [ "null", "float" ]
  }, {
    "name" : "quality",
    "type" : [ "null", "float" ]
  }, {
    "name" : "numSamples",
    "type" : [ "null", "int" ]
  }, {
    "name" : "variantType",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "VariantType",
      "doc" : "* Type of variation, which depends mostly on its length.\n     * <ul>\n     * <li>SNVs involve a single nucleotide, without changes in length</li>\n     * <li>MNVs involve multiple nucleotides, without changes in length</li>\n     * <li>Indels are insertions or deletions of less than SV_THRESHOLD (50) nucleotides</li>\n     * <li>Structural variations are large changes of more than SV_THRESHOLD nucleotides</li>\n     * <li>Copy-number variations alter the number of copies of a region</li>\n     * </ul>",
      "symbols" : [ "SNV", "SNP", "MNV", "MNP", "INDEL", "SV", "INSERTION", "DELETION", "TRANSLOCATION", "INVERSION", "CNV", "DUPLICATION", "BREAKEND", "NO_VARIATION", "SYMBOLIC", "MIXED" ]
    } ],
    "default" : null
  }, {
    "name" : "hw",
    "type" : [ "null", {
      "type" : "record",
      "name" : "VariantHardyWeinbergStats",
      "fields" : [ {
        "name" : "chi2",
        "type" : [ "null", "float" ]
      }, {
        "name" : "pValue",
        "type" : [ "null", "float" ]
      }, {
        "name" : "n",
        "type" : [ "null", "int" ]
      }, {
        "name" : "n_AA_11",
        "type" : [ "null", "int" ]
      }, {
        "name" : "n_Aa_10",
        "type" : [ "null", "int" ]
      }, {
        "name" : "n_aa_00",
        "type" : [ "null", "int" ]
      }, {
        "name" : "e_AA_11",
        "type" : [ "null", "float" ]
      }, {
        "name" : "e_Aa_10",
        "type" : [ "null", "float" ]
      }, {
        "name" : "e_aa_00",
        "type" : [ "null", "float" ]
      }, {
        "name" : "p",
        "type" : [ "null", "float" ]
      }, {
        "name" : "q",
        "type" : [ "null", "float" ]
      } ]
    } ],
    "default" : null
  } ]
}
